.section--recent {
  overflow: hidden;

  .section__inner {
    padding: 0;
  }
  .section__title {
    padding: 0 get-vw(210px);

    @include bellow($mobile) {
      padding: 0 get-vw(75px, 820);
    }
    @include bellow($android-landscape) {
      padding: 0 get-vw(50px, 375);
    }
  }
}

.recent {
  &__works {
    margin: 0 0 get-vw(90px);
    overflow: visible;

    @include bellow($android-landscape) {
      margin-bottom: get-vw(65px, 375);
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 0;
      z-index: 2;
      display: block;
      height: 100%;
      width: get-vw(210px);
      pointer-events: none;
    }
    &::before {
      left: 0;
      background: linear-gradient(to right,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 70%);
    }
    &::after {
      right: 0;
      background: linear-gradient(to right,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 70%);
    }

    &[data-anim="false"] .recent__works__item.swiper-slide-active,
    .recent__works__item:not(.swiper-slide-active) {
      .recent__works__item {
        &__title,
        &__sub,
        &__text,
        &__link {
          transform: translateY(#{get-vw(80px)});
          opacity: 0;
        }
        &__img img {
          transform: scale(1.25);
          opacity: 0;
        }
      }
    }

    &__wrap {

    }
    &__item {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      padding: 0 get-vw(210px);
      user-select: none;
      text-decoration: none;

      @include bellow($mobile) {
        padding: 0 get-vw(75px, 820);
      }
      @include bellow($android-landscape) {
        flex-direction: column;
        padding: 0 get-vw(50px, 375);
      }

      &__title,
      &__sub,
      &__text,
      &__link {
        transition: opacity 0.65s, transform 0.8s $cubic;
      }

      &__info,
      &__img {
        position: relative;
        width: 50%;

        @include bellow($android-landscape) {
          width: 100%;
        }
      }
      &__info {
        margin-top: get-vw(-100px);
        padding-right: get-vw(160px);

        @include between($android-landscape, $mobile) {
          padding-right: get-vw(35px, 820);
        }
        @include bellow($android-landscape) {
          margin: 0;
          padding: get-vw(35px, 375) 0 0;
          order: 1;
        }
      }
      &__img {
        overflow: hidden;

        img {
          width: 100%;
          transition: opacity 0.8s, transform 1.2s $cubic;
        }
      }

      &__title {
        position: relative;
        margin-top: get-vw(35px);
        font: #{get-vw(44px)} / 1.3 $titleFont;
        letter-spacing: 0.03em;
        color: $titleColor;
        transition-delay: 0.1s;

        @include between($mobile, $desktop-sm) {
          font-size: get-vw(32px, 1024);
        }
        @include between($android-landscape, $mobile) {
          font-size: get-vw(24px, 820);
        }
        @include bellow($android-landscape) {
          margin-top: 0;
          font-size: get-vw(24px, 375);
        }

        &::before {
          content: "";
          position: absolute;
          top: get-vw(-20px);
          left: 0;
          display: block;
          width: get-vw(130px);
          height: 2px;
          background: #000;
          opacity: 0.2;

          @include between($mobile, $desktop-sm) {
            top: get-vw(-16px, 1024);
          }
          @include between($android-landscape, $mobile) {
            top: get-vw(-12px, 820);
          }
          @include bellow($android-landscape) {
            top: get-vw(-12px, 375);
          }
        }
      }

      &__sub {
        margin-top: get-vw(10px);
        transition-delay: 0.2s;

        @include bellow($desktop-sm) {
          margin-top: get-vw(8px, 1024);
        }
        @include bellow($mobile) {
          margin-top: get-vw(8px, 820);
        }
        @include bellow($android-landscape) {
          margin-top: get-vw(8px, 375);
        }
      }

      &__sub,
      &__text  {
        font-size: get-vw(24px);
        color: $textColor;

        @include between($mobile, $desktop-sm) {
          font-size: get-vw(18px, 1024);
        }
        @include between($android-landscape, $mobile) {
          font-size: get-vw(16px, 820);
        }
        @include bellow($android-landscape) {
          font-size: get-vw(16px, 375);
        }
      }

      &__text {
        margin-top: get-vw(40px);
        transition-delay: 0.3s;

        @include between($mobile, $desktop-sm) {
          margin-top: get-vw(35px, 1024);
        }
        @include between($android-landscape, $mobile) {
          margin-top: get-vw(25px, 820);
        }
        @include bellow($android-landscape) {
          margin-top: get-vw(25px, 375);
        }
      }

      &__link {
        margin-top: get-vw(65px);
        transition-delay: 0.4s;

        @include between($mobile, $desktop-sm) {
          margin-top: get-vw(50px, 1024);
        }
        @include between($android-landscape, $mobile) {
          margin-top: get-vw(35px, 820);
        }
        @include bellow($android-landscape) {
          margin-top: get-vw(35px, 375);
        }
      }
    }

    .swiper-button {
      &-prev,
      &-next {
        width: 44px;
        height: 26px;
        background: none;
        transition: opacity 0.25s;

        @include bellow($mobile) {
          width: 32px;
          height: 20px;
        }
        @include bellow($android-landscape) {
          width: 28px;
          height: 28px;
        }

        &.swiper-button-disabled,
        &.swiper-button-disabled {
          opacity: 0.2;
        }

        &::before {
          @include absFull;
          content: "";
          background: url("../images/arrow-black.svg") 50% 50% no-repeat;
          background-size: contain;
          transition: transform 0.25s $cubic;
        }
      }

      &-prev {
        left: get-vw(95px);

        @include bellow($mobile) {
          left: get-vw(15px, 820);
        }
        @include bellow($android-landscape) {
          left: get-vw(10px, 375);
        }

        &::before {
          transform: rotate(180deg);
        }
        &:hover::before {
          transform: rotate(180deg) translateX(5px);
        }
        &:active::before {
          transform: rotate(180deg) translateX(-2px);
        }
      }
      &-next {
        right: get-vw(95px);

        @include bellow($mobile) {
          right: get-vw(15px, 820);
        }
        @include bellow($android-landscape) {
          right: get-vw(10px, 375);
        }

        &:hover::before {
          transform: translateX(5px);
        }
        &:active::before {
          transform: translateX(-2px);
        }
      }
    }

    .swiper-pagination {
      bottom: 30px;
      left: get-vw(210px);
      width: 50%;
      text-align: left;

      @include bellow($desktop-sm) {
        bottom: 20px;
      }
      @include bellow($mobile) {
        bottom: -10px;
        left: get-vw(65px, 820);
      }
      @include bellow($android-landscape) {
        bottom: -10px;
        left: get-vw(50px, 375);
        transform: translateY(100%);
      }

      &-bullet {
        position: relative;
        width: 32px;
        height: 32px;
        border-radius: 0;
        background: none;
        margin: 0 24px 0 0 !important;
        opacity: 1;

        @include bellow($mobile) {
          margin: 0 get-vw(5px, 820) 0 0 !important;
        }

        &::before,
        &::after {
          @include absCenter;
          content: "";
          width: 12px;
          height: 12px;
          transform: rotate(-45deg);

          @include bellow($mobile) {
            width: get-vw(8px, 820);
            height: get-vw(8px, 820);
          }
          @include bellow($android-landscape) {
            width: get-vw(8px, 375);
            height: get-vw(8px, 375);
          }
        }
        &::before {
          background: $black;
          z-index: 1;
          opacity: 0;
          transition: opacity 0.25s;
        }
        &::after {
          border: 1px solid $black;
          z-index: 0;
        }

        &-active::before {
          opacity: 1;
        }
      }
    }
  }

  &__all {
    padding: 15px 0;
    text-align: center;
  }
}
